petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCComputeExplicitOperator

Computes the explicit preconditioned operator.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCComputeExplicitOperator(PC pc,Mat *mat)

Collective on PC Many br

### Input Parameter

pc -the preconditioner object Many br

### Output Parameter

mat -the explict preconditioned operator Many br

### Notes

This computation is done by applying the operators to columns of the Many bridentity matrix. Many br

Currently, this routine uses a dense matrix format when 1 processor Many bris used and a sparse format otherwise. This routine is costly in general, Many brand is recommended for use only with relatively small systems. Many br

Many br

### Keywords

PC, compute, explicit, operator

### See Also

KSPComputeExplicitOperator()

Level:advanced
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages